version: '3.3'

services:

  mongo:
    image: mongo
    networks:
      - data
    ports:
      - 27017:27017
    volumes:
      - mongo_data:/data/db
    environment:
      MONGO_INITDB_ROOT_USERNAME: admin
      MONGO_INITDB_ROOT_PASSWORD: password

volumes:
  mongo_data:

networks:
  data:
    external: true
